Arduino

Reference Language | Libraries | Comparison | Changes

SPI

## begin()

#### Description

Initializes the SPI bus, setting SCK, MOSI, and SS to outputs, pulling SCK and MOSI low and SS high.

#### Syntax

SPI.begin()

#### Parameters

None

#### Returns

None

#### See also

- end()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes